#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Flexible Isometric Free Engine
Summary(pl.UTF-8):	Flexible Isometric Free Engine - elastyczny, wolnodostępny silnik izometryczny
Name:		fife
Version:	0.3.5
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/fife/%{name}_%{version}.tar.gz
# Source0-md5:	11ba50b34239535a270d442466632ef7
Patch0:		%{name}-extra_libs.patch
URL:		http://fifengine.net/
BuildRequires:	OpenAL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	boost-devel
BuildRequires:	guichan-devel
#BuildRequires:	guichan_opengl-devel
#BuildRequires:	guichan_sdl-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	python-devel >= 2.7
BuildRequires:	scons
BuildRequires:	swig-python
BuildRequires:	tinyxml-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FIFE is a cross platform 2D game creation framework written in C++
with Python bindings. It's designed to be flexible enough to support a
wide variety of 2D game types but specializes in 2D isometric type
views.

%description -l pl.UTF-8
FIFE to wieloplatformowy szkielet do tworzenia gier 2D napisany w C++
z wiązaniami do Pythona. Jest zaprojektowany jako wystarczająco
elastyczny do obsługi wielu rodzajów gier 2D, ale specjalizuje się w
widokach 2D typu izometrycznego.

%package devel
Summary:	Header files for FIFE library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FIFE
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for FIFE library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FIFE.

%package static
Summary:	Static FIFE library
Summary(pl.UTF-8):	Statyczna biblioteka FIFE
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FIFE library.

%description static -l pl.UTF-8
Statyczna biblioteka FIFE.

%package -n python-%{name}
Summary:	Flexible Isometric Free Engine Python Module
Summary(pl.UTF-8):	Moduł Pythona do silnika FIFE (Flexible Isometric Free Engine)
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-modules

%description -n python-%{name}
FIFE is a cross platform 2D game creation framework written in C++
with Python bindings. It's designed to be flexible enough to support a
wide variety of 2D game types but specializes in 2D isometric type
views.

This package contains Python module.

%description -n python-%{name} -l pl.UTF-8
FIFE to wieloplatformowy szkielet do tworzenia gier 2D napisany w C++
z wiązaniami do Pythona. Jest zaprojektowany jako wystarczająco
elastyczny do obsługi wielu rodzajów gier 2D, ale specjalizuje się w
widokach 2D typu izometrycznego.

Ten pakiet zawiera moduł Pythona.

%prep
%setup -qn %{name}_%{version}
%patch0 -p1

%build
# force pre C++11 standard, code uses std::make_pair in a way incompatible with rvalue refs
CXXFLAGS="%{rpmcxxflags} -std=c++03"
%scons -j1 fife-shared fife-python \
	%{?with_static_libs:fife-static} \
	--lib-dir=%{_libdir} \
	--prefix=%{_prefix} \
	--python-prefix=%{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT

CXXFLAGS="%{rpmcxxflags} -std=c++03"
%scons -j1 install-shared install-python install-dev \
	%{?with_static_libs:install-static} \
	--lib-dir=%{_libdir} \
	--prefix=%{_prefix} \
	--python-prefix=%{py_sitedir} \
	--install-sandbox=$RPM_BUILD_ROOT

SAVED_PWD=$PWD
cd $RPM_BUILD_ROOT%{_libdir}
ln -s libfife.so.0.?.? libfife.so.0
ln -s libfife.so.0.?.? libfife.so
cd $SAVED_PWD

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README
%attr(755,root,root) %{_libdir}/libfife.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfife.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfife.so
%{_includedir}/%{name}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfife.a
%endif

%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{name}
%attr(755,root,root) %{py_sitedir}/%{name}/_fife.so
%{py_sitedir}/%{name}/*.py[co]
%{py_sitedir}/%{name}/extensions
%changelog
* Sun Apr 16 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fife.git;a=log;h=master

* Sun Apr 16 2017 Jakub Bogusz <qboosh@pld-linux.org> ff17dfb
- force build in C++03 mode
- pl
- release 4

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> feea3f8
- icu-57.1 rebuild
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b82ab0f
- release 2 (by relup.sh)

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 7f1c5ef
- up to 0.3.5

* Sun Jun 14 2015 Jan Rękorajski <baggins@pld-linux.org> 3974971
- release 9 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> e53532f
- rebuild with boost 1.57.0
- release 8 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 9885f53
- rebuild with boost 1.56.0
- release 7 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 3167177
- - rebuild with boost 1.55.0
- release 6 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 94ad20e
- - rebuild with boost 1.55.0
- release 5 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> bca5b55
- release 4 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> a08c0c6
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> c9196b1
- release 2 (by relup.sh)

* Wed Oct 03 2012 Jacek Konieczny <jajcus@jajcus.net> 23b2d2e
- Release: 1

* Wed Oct 03 2012 Jacek Konieczny <jajcus@jajcus.net> 0f70a06
- Use -j1 for scons

* Wed Oct 03 2012 Jacek Konieczny <jajcus@jajcus.net> 80c3c2f
- BR: swig-python

* Tue Oct 02 2012 Jacek Konieczny <jajcus@jajcus.net> 7473d85
- New package

